Bug 1690603 - Aggregated Logging installation does not add secret to serviceaccount [3.10.z]
Summary: Aggregated Logging installation does not add secret to serviceaccount [3.10.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.10.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 3.10.z
Assignee: ewolinet
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1689149 1690605
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 19:20 UTC by Simon Reber
Modified: 2019-06-11 09:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Logging Ansible roles did not add secrets to service accounts. Consequence: When using secret whitelisting created secrets weren't available to logging component service accounts. Fix: Roles were updated to add secrets to their corresponding service accounts. Result: Secrets are available to service accounts when using whitelisting.
Clone Of: 1689149
Environment:
Last Closed: 2019-06-11 09:30:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0786 None None None 2019-06-11 09:30:59 UTC

Comment 6 Anping Li 2019-04-22 09:09:29 UTC
The secret are added to sa when use openshift-ansible:v3.10.139
oc get sa aggregated-logging-curator aggregated-logging-elasticsearch aggregated-logging-fluentd aggregated-logging-kibana -o yaml |grep -A 2 secrets
  secrets:
  - name: logging-curator
  - name: aggregated-logging-curator-dockercfg-45jb6
--
  secrets:
  - name: logging-elasticsearch
  - name: aggregated-logging-elasticsearch-dockercfg-fl6hd
--
  secrets:
  - name: logging-fluentd
  - name: aggregated-logging-fluentd-dockercfg-85jd5
--
  secrets:
  - name: logging-kibana
  - name: aggregated-logging-kibana-dockercfg-5bq98

Comment 8 errata-xmlrpc 2019-06-11 09:30:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0786


Note You need to log in before you can comment on or make changes to this bug.